Name: mguesser
Version: 0.2
Release: alt2

Summary: mguesser allows to guess text's charset and language
Group: Text tools
License: GPL
Url: http://mnogosearch.org/guesser/

Source: http://www.mnogosearch.org/guesser/mguesser-%version.tar.bz2
Patch: %name-maps.patch

%description
mguesser is a standalong part of libudmsearch (a core of mnogo search engine
http://mnogosearch.org) which allows to guess text's charset and language.

Guessing is implemented using "N-Gram-Based Text Categorization" technique
which is implemented in TextCat language guesser written in Perl
(http://www.let.rug.nl/~vannoord/TextCat/). mguesser is significantly
faster than TextCat especially on large texts.

%description -l ru_RU.KOI8-R
mguesser  ""    .

    "N-Gram-Based Text Categorization",
  TextCat (http://www.let.rug.nl/~vannoord/TextCat/).
 mguesser   TextCat,   Perl.

%prep
%setup -q
%patch -p1

%build
%make_build

%install
install -pD -m755 %name $RPM_BUILD_ROOT%_bindir/%name
mkdir -p $RPM_BUILD_ROOT%_datadir/%name
install -pD -m644 maps/* $RPM_BUILD_ROOT%_datadir/%name

%files
%_bindir/*
%_datadir/*
%doc CHANGES README

%changelog
* Sun Oct 20 2002 Michael Shigorin <mike@altlinux.ru> 0.2-alt2
- gcc3 build

* Sun Oct 21 2001 Michael Shigorin <mike@altlinux.ru> 0.2-alt1
- alt1
